org.modeshape.jcr.cache.change

## Class PropertyChanged

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.AbstractPropertyChange
      - - org.modeshape.jcr.cache.change.PropertyChanged

- All Implemented Interfaces:
    Serializable

      public class PropertyChanged
      extends AbstractPropertyChange

  Internal event fired when a property is changed on a node
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractPropertyChange

      `property`

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyChanged(NodeKey key, Name nodePrimaryType, Set<Name> nodeMixinTypes, Path nodePath, Property newProperty, Property oldProperty, boolean queryable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `getNewProperty()`
    `Property` | `getOldProperty()`
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractPropertyChange

      `getPathToNode, getProperty`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChanged

          protected PropertyChanged(NodeKey key,
                         Name nodePrimaryType,
                         Set<Name> nodeMixinTypes,
                         Path nodePath,
                         Property newProperty,
                         Property oldProperty,
                         boolean queryable)

  - ### Method Detail

    - #### getNewProperty

          public Property getNewProperty()

      Returns:
        newPath

    - #### getOldProperty

          public Property getOldProperty()

      Returns:
        oldPath

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.